
QGIS Application - Bug report #3673

Offline edit: do not allow select not PostGIS/WFS-T layers

2011-03-23 07:00 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Offline editing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 13732

Description

New description:

Do not allow choose layers that are not PostGIS ones in the dialog of the off line editing plugin, otherwise any sort of issues can arise (at

the moment the dialog allows to select any datasource), among the other crashes, see also #14010

Note: apparently the tool also supports wfs-t layers. See #14010-6

Old description:

If I generate some points and lines in-memory (e.g. through CAD Tools), then I save all to an offline [[SpatiaLite]] DB through the Offline

editing plugin, I get

near ")": syntax error

I think (only?) the [[PostGIS]] layers should be copied, not the in-memory ones.

Related issues:

Duplicated by QGIS Application - Bug report # 14010: Converting to Offline Ed... Closed 2015-12-18

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:27 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2014-06-29 06:39 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Offline editing

#6 - 2015-11-20 06:02 AM - Médéric RIBREUX

- Assignee deleted (Mathias Walker)

- Status changed from Open to Feedback
- Pull Request or Patch supplied set to No

Hello, bug triage...

in QGIS 2.13 master, Offline plugin can save a memory layer without any problem (no error message). After export, the content of the memory layer is in

the SQLite database and can be edited as a real layer.

The only problem is when you want to synchronize the offline project: the memory layer is created but without any features (layer is empty but it is a real

memory layer).

So what do we do now with this bug ? The offline part is fixed but the synchronisation is a problem as users can't take back the offline editions to the

memory layer. Should we close it and open a new bug for supporting offline synchronisation to memory layers ?

#7 - 2015-12-19 02:06 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Status info deleted (0)

- Operating System deleted (Debian)

- Target version deleted (Future Release - Lower Priority)

- Priority changed from Low to Normal

- Subject changed from Offline edit: tries to save also temporary layers, resulting in an error to Offline edit: do not allow select not PostGIS layers

#8 - 2015-12-20 03:56 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#9 - 2015-12-22 08:03 AM - Giovanni Manghi

- Subject changed from Offline edit: do not allow select not PostGIS layers to Offline edit: do not allow select not PostGIS/WFS-T layers

#10 - 2016-06-26 04:33 AM - Matthias Kuhn

- Status changed from Open to Feedback

What is the status of this issue?

I think the crashes are solved (if not, please specify the conditions)

The title suggests hiding certain providers. IMO it's up to the user to choose useful providers and we shouldn't prevent him. We could add some visual cues

to help him which layers are presumably the ones he wants to take offline (DB/Online).

Then there is another issue with memory layers which I'm not sure how to handle. I think memory layers are "scratch layer" with non-persistent data, so why

would you want to take them offline? Better persist them first. So for this particular provider I would vote for removal from the list because it's against the

concept. To convince me of the opposite, open a new ticket (or contract me to implement the specs ;) ).

#11 - 2016-06-26 12:27 PM - Médéric RIBREUX

Hello,

I think we can close this one because end user have to remember that the memory layer will not be saved when the project is saved and QGIS is stopped.

Giving the end user a way to store a memory layer on the offline base could make them use this way to have a sort of permanent storage for this type of

layer which seems to be wrong because they should save it into a real layer (with save as...).
I do agree with Mathias: just make memory layer not available for offline storage in order to be free from confusion.

#12 - 2016-10-19 05:22 AM - Matthias Kuhn

- Status changed from Feedback to Closed

#13 - 2017-08-08 08:39 AM - Jürgen Fischer

- Description updated

2024-04-25 3/3


